# FdoIChangeLongTransactionPrivileges Class Reference

`#include <IChangeLongTransactionPrivileges.h>`

Inheritance diagram for FdoIChangeLongTransactionPrivileges:

[legend]

List of all members.

## Detailed Description

The FdoIChangeLongTransactionPrivileges interface defines the ChangeLongTransactionPrivileges command, which grants or revokes long transaction privileges for the named user. The ability to change the privileges might be restricted by the datastore security if the long transaction doesn’t belong to the user executing the command.

Definition at line 37 of file IChangeLongTransactionPrivileges.h.

## Public Member Functions
virtual FDO_API void | Execute ()=0
| Executes the ChangeLongTransactionPrivilege command.
virtual FDO_API FdoString * | GetLongTransactionName ()=0
| Gets the name of the long transaction for which privileges should be changed.
virtual FDO_API FdoLongTransactionPrivilegeOperations | GetOperation ()=0
| Gets the operation to perform, grant, or revoke.
virtual FDO_API FdoInt32 | GetPrivileges ()=0
| Gets the privilege flags to grant or revoke.The returned value may be any combination of the values from the FdoLongTransactionPrivileges enumeration combined via a bit-wise or operation.
virtual FDO_API FdoString * | GetUserName ()=0
| Gets the name of the user for which to grant or revoke privileges.
virtual FDO_API void | SetLongTransactionName (FdoString *value)=0
| Sets the name of the long transaction for which privileges should be changed.
virtual FDO_API void | SetOperation (FdoLongTransactionPrivilegeOperations value)=0
| Sets the operation to perform, grant, or revoke.
virtual FDO_API void | SetPrivileges (FdoInt32 value)=0
| Sets the privilege flags to grant or revoke. The privileges value may be any combination of the values from the FdoLongTransactionPrivileges enumeration combined via a bit-wise or operation.
virtual FDO_API void | SetUserName (FdoString *value)=0
| Sets the name of the user for which to grant or revoke privileges.
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- IChangeLongTransactionPrivileges.h